For the complete documentation index, see llms.txt. This page is also available as Markdown.

Portfolio Attribute

Viewing all portfolio attributes for a portfolio

get

To view all attributes for a specific portfolio:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Responses
200

Successful response

No content

get/api/v2/portfolio/{portfolioId}/attribute
GET /api/v2/portfolio/{portfolioId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Creating a new portfolio attribute

post

To create a new portfolio attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Body
attributestringRequired
valuestringOptional
Responses
200

Successful response

No content

post/api/v2/portfolio/{portfolioId}/attribute
POST /api/v2/portfolio/{portfolioId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "attribute": "text",
  "value": "text"
}
200

Successful response

No content

Viewing a specific portfolio attribute

get

To view details for a specific portfolio attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
portfolioAttributeIdstringRequired
Responses
200

Successful response

No content

get/api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId}
GET /api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Deleting a specific portfolio attribute

delete

To delete a specific portfolio attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
portfolioAttributeIdstringRequired
Responses
200

Successful response

application/json
PORTFOLIO_ATTRIBUTEintegerOptional
delete/api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId}
DELETE /api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "PORTFOLIO_ATTRIBUTE": 1
}

Updating a specific portfolio attribute

patch

To update a specific portfolio attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
portfolioAttributeIdstringRequired
Body
valuestringRequired
Responses
200

Successful response

No content

patch/api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId}
PATCH /api/v2/portfolio/{portfolioId}/attribute/{portfolioAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "value": "text"
}
200

Successful response

No content

Last updated

Was this helpful?